
Summary: Chemtool is a program for 2D drawing organic molecules
Name: chemtool
Version: 1.6
Release: 1_rh9
Copyright: GPL
Group: Applications/Chemistry
Source: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
URL: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/chemtool.html
Packager: Radek Liboska <liboska@uochb.cas.cz>
Vendor: Thomas Volk & Martin Kroeker
Icon: chemtool.xpm
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%define name0 cht
%define docdir %{_docdir}/%{name}-%{version}
%define	exampledir %{_datadir}/%{name}-%{version}/examples

%description
Chemtool is a program for drawing organic molecules easily and store them in
a variety of output formats including as a X bitmap, Xfig, SVG or EPS file. 
It runs under the X Window System using the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{exampledir}
install -d $RPM_BUILD_ROOT%{docdir}
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{cs,de,fr,pl,pt_BR,ru}/LC_MESSAGES
install -d $RPM_BUILD_ROOT%{_datadir}/mimelnk/application
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -s -m 755 %{name} src-cht/%{name0} $RPM_BUILD_ROOT%{_bindir}
install -m 644 examples/* $RPM_BUILD_ROOT%{exampledir}
install -m 644 {TODO,README,ChangeLog}  $RPM_BUILD_ROOT%{docdir}
install -m 644 %{name}.1 %{name0}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 kde/mimelnk/application/x-chemtool.desktop $RPM_BUILD_ROOT%{_datadir}/mimelnk/application
install -m 644 gnome/gnome-application-%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 gnome/chemtool.desktop  $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 gnome/chemtool.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in {cs,de,fr,pl,pt_BR,ru}; do
 install -m 644 locales/$i/chemtool.mo $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES;
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}
%{exampledir}
%{_mandir}
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/mimelnk
%{_datadir}/icons
%{_datadir}/locale
%doc %{docdir}


%changelog
* Sun Jul 27 2003 Radek Liboska <radek.liboska@uochb.cas.cz>
- RedHat 9 KDE+GNOME desktop style adopted
* Tue Jul 22 2003 Radek Liboska <radek.liboska@uochb.cas.cz>
- default "_path" vars used instead of the fixed paths
* Thu Nov  7 2002 Martin Kroeker <martin@ruby.chemie.uni-freiburg.de>
- updated Version, URLs and program description
* Wed Mar 14 2002 Radek Liboska <radek.liboska@uochb.cas.cz>
- the icon stuff and gnome menu integration
* Sat Mar  6 2002 Radek Liboska <radek.liboska@uochb.cas.cz>
- spec file clean up
* Fri Jul 27 2001 Radek Liboska <radek.liboska@uochb.cas.cz>
- 1.4 See %prefix/doc/%{name}-%{version}/ChangeLog for change log


